tigase.server.sreceiver.sysmon

## Class SystemMonitorTask

- java.lang.Object
- - tigase.server.sreceiver.AbstractReceiverTask
  - - tigase.server.sreceiver.RepoRosterTask
    - - tigase.server.sreceiver.sysmon.SystemMonitorTask

- All Implemented Interfaces:
    ReceiverTaskIfc

      public class SystemMonitorTask
      extends RepoRosterTask

  Created: Dec 6, 2008 8:12:41 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemMonitorTask()` Constructs ...

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy(Queue<Packet> results)` Method description
    `Map<String,PropertyItem>` | `getDefaultParams()` Method description
    `String` | `getHelp()` Method description
    `Map<String,PropertyItem>` | `getParams()` Method description
    `void` | `getStatistics(StatisticsList list)` Method description
    `String` | `getType()` Method description
    `void` | `init(Queue<Packet> results)` Method description
    `protected void` | `processMessage(Packet packet, Queue<Packet> results)` Method description
    `protected void` | `sendPacketOut(Packet input)` Method description
    `protected void` | `sendPacketsOut(Queue<Packet> input)` Method description
    `void` | `setParams(Map<String,Object> map)` Method description

    - ### Methods inherited from class tigase.server.sreceiver.RepoRosterTask

      `addToRoster, loadRoster, removeFromRoster, setRosterItemAdmin, setRosterItemModerationAccepted, setRosterItemOwner, setRosterItemSubscribed`

    - ### Methods inherited from class tigase.server.sreceiver.AbstractReceiverTask

      `addNewSubscribers, addOutPacket, addToRoster, getDescription, getInstance, getJID, getRoster, getRosterItem, getStats, isAdmin, isAllowedToPost, isAllowedToSubscribe, processPacket, removeSubscribers, setJID, setRosterItemOnline, setStanzaReceiver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemMonitorTask

          public SystemMonitorTask()

      Constructs ...

  - ### Method Detail

    - #### destroy

          public void destroy(Queue<Packet> results)

      Method description
      Specified by:
        `destroy` in interface `ReceiverTaskIfc`
      Overrides:
        `destroy` in class `RepoRosterTask`
      Parameters:
        `results` -

    - #### getDefaultParams

          public Map<String,PropertyItem> getDefaultParams()

      Method description
      Specified by:
        `getDefaultParams` in interface `ReceiverTaskIfc`
      Overrides:
        `getDefaultParams` in class `AbstractReceiverTask`
      Returns:
        a `Map` value with task instance configuration parameters.
      See Also:
        `ReceiverTaskIfc.setParams(Map)`

    - #### getHelp

          public String getHelp()

      Method description
      Returns:
        a `String` value of task class help information.

    - #### getParams

          public Map<String,PropertyItem> getParams()

      Method description
      Specified by:
        `getParams` in interface `ReceiverTaskIfc`
      Overrides:
        `getParams` in class `AbstractReceiverTask`
      Returns:
        a `Map` value
      See Also:
        `ReceiverTaskIfc.setParams(Map)`

    - #### getStatistics

          public void getStatistics(StatisticsList list)

      Method description
      Specified by:
        `getStatistics` in interface `ReceiverTaskIfc`
      Overrides:
        `getStatistics` in class `AbstractReceiverTask`
      Parameters:
        `list` -

    - #### getType

          public String getType()

      Method description
      Returns:
        a `String` value of the task name.

    - #### init

          public void init(Queue<Packet> results)

      Method description
      Specified by:
        `init` in interface `ReceiverTaskIfc`
      Overrides:
        `init` in class `AbstractReceiverTask`
      Parameters:
        `results` -

    - #### setParams

          public void setParams(Map<String,Object> map)

      Method description
      Specified by:
        `setParams` in interface `ReceiverTaskIfc`
      Overrides:
        `setParams` in class `RepoRosterTask`
      Parameters:
        `map` -

    - #### processMessage

          protected void processMessage(Packet packet,
                            Queue<Packet> results)

      Method description
      Overrides:
        `processMessage` in class `AbstractReceiverTask`
      Parameters:
        `packet` -
        `results` -

    - #### sendPacketOut

          protected void sendPacketOut(Packet input)

      Method description
      Parameters:
        `input` -

    - #### sendPacketsOut

          protected void sendPacketsOut(Queue<Packet> input)

      Method description
      Parameters:
        `input` -

Copyright © 2014 "Tigase, Inc.". All rights reserved.